uk.gov.hmrc.payeestimator.services

# EmployeeEmployerCalculations

###
Related Doc: package services

#### trait EmployeeEmployerCalculations extends AnyRef

Self Type
  EmployeeEmployerCalculations with TaxCalculatorHelper

Linear Supertypes
AnyRef, Any
Known Subclasses
EmployeeRateCalculator, EmployerRateCalculator
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. EmployeeEmployerCalculations
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def grossPay: Money

2. #### abstract def rate: BigDecimal

3. #### abstract def taxCalcResource: TaxCalcResource

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def calculateRate(leftLimit: Money, rightLimit: Money): RateResult

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### def collectRateLimit(limit: String, collection: Seq[RateLimit]): Money

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### def findThresholdLimit(limit: String): Money

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### val nicRateLimit: NICRateLimits

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### lazy val primaryThresholdLimit: Money

20. #### lazy val secondaryThresholdLimit: Money

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### def toString(): String

    Definition Classes
      AnyRef → Any

23. #### lazy val upperEarningLimit: Money

24. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### def zeroRate: RateResult

### Inherited from AnyRef

### Inherited from Any

### Ungrouped